org.gradle.api.java.archives

## Interface ManifestMergeDetails

-     public interface ManifestMergeDetails

  Details of a value being merged from two different manifests.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exclude()` Excludes this key from being in the manifest after the merge.
    `String` | `getBaseValue()` Returns the value for the key of the manifest that is the target of the merge.
    `String` | `getKey()` Returns the key that is to be merged.
    `String` | `getMergeValue()` Returns the value for the key of the manifest that is the source for the merge.
    `String` | `getSection()` Returns the section this merge details belongs to.
    `String` | `getValue()` Returns the value for the key of the manifest after the merge takes place.
    `void` | `setValue(String value)` Set's the value for the key of the manifest after the merge takes place.

- - ### Method Detail

    - #### getSection

          String getSection()

      Returns the section this merge details belongs to.

    - #### getKey

          String getKey()

      Returns the key that is to be merged.

    - #### getBaseValue

          String getBaseValue()

      Returns the value for the key of the manifest that is the target of the merge.

    - #### getMergeValue

          String getMergeValue()

      Returns the value for the key of the manifest that is the source for the merge.

    - #### getValue

          String getValue()

      Returns the value for the key of the manifest after the merge takes place. By default this is the value of the source for the merge.

    - #### setValue

          void setValue(String value)

      Set's the value for the key of the manifest after the merge takes place.
      Parameters:
        `value` -

    - #### exclude

          void exclude()

      Excludes this key from being in the manifest after the merge.